#pokemonScannerForm .event-buttons .btn {
  width: 100%;
  color: white;
}

#pokemonScannerForm .upload-error p {
  background-color: #ff000066;
  text-align: center;
}

#pokemon-scanner-modal .modal-content {
  width: 670px;
}

#pokemon-scanner-modal .modal-body {
  overflow: hidden !important;
  position: relative;
  padding: 0 !important;
}

#pokemon-scanner-modal .modal-body .error {
  position: absolute;
  left: 30px;
  top: 25px;
  z-index: 10;
  background-color: #ff000066;
}

#pokemon-scanner-modal .modal-body #close-scan {
  font-size: 3em;
  position: absolute;
  right: 25px;
  z-index: 10;
  text-shadow: none;
}

#pokemon-scanner-modal .modal-body .pokemon-scanner-button {
  background: rgba(115, 103, 239, 0.75) !important;
  position: absolute;
  border: 1px solid #7367f0 !important;
  right: 0;
  left: 0;
  bottom: 30px;
  width: 150px;
  margin: auto;
  padding: 0;
}

#pokemon-scanner-modal .modal-body .pokemon-scanner-button input {
  padding: 10px 0;
  width: 100%;
}

@media only screen and (max-width 768px) {
  #pokemon-scanner-modal .modal-body .pokemon-scanner-button input {
    padding: 3px 0;
  }
}

#pokemon-scanner-modal .modal-body video {
  height: auto;
  width: 100%;
}

@media only screen and (max-width: 768px) {
  #pokemon-scanner-modal .modal-body video {
    width: auto;
    height: 70vh;
  }
}

#pokemon-scanner-modal .modal-body #pokemon-scanner {
  position: relative;
}

#pokemon-scanner-modal .modal-body #pokemon-scanner > div {
  position: absolute;
  background-color: #2ea30c;
  height: 2px;
  width: 100%;
  top: 0;
}

#pokemon-scanner-modal .modal-body #pokemon-scanner p {
  position: absolute;
  border: 1px solid #f7bc23;
  width: 70%;
  height: 75%;
  left: 0;
  right: 0;
  top: -50px;
  bottom: 0;
  display: block;
  margin: auto;
}

#my_camera {
  width: 320px;
  height: 240px;
  border: 1px solid black;
}

.modal.right .modal-dialog .modal-body .img-holder img {
  width: 250px;
}

@media only screen and (max-width: 768px) {
  #pokemon-scanner-modal .modal-content {
    width: 100%;
  }

  #pokemonScannerForm .event-buttons .btn span {
    display: none;
  }

  #pokemonScannerForm .event-buttons .btn {
    margin-bottom: 15px;
    font-size: 26px;
    padding: 8px;
  }

  #pokemon-scanner-modal .modal-body .pokemon-scanner-button {
    bottom: 30px;
    padding: 5px 0;
  }

  #pokemon-scanner-modal .modal-body #pokemon-scanner p {
    top: -30px;
    left: 15px;
  }

  #pokemon-scanner-modal .modal-body .pokemon-scanner-button input {
    padding: 3px 0;
  }

  #pokemon-scanner-modal .modal-body #pokemon-scanner > div {
    width: 104.5%;
  }
}

